<div class="row">
    <div class="col-md-12">
        <div class="card card-form pl-4 pr-2">
            <div class="card-header">
                <h4 class="card-title primary" id="striped-row-layout-icons">{{ routeTitle | translate }}</h4>
            </div>
            <div class="card-body">
                <div class="px-3">
                    <form novalidate [formGroup]="colaboratorForm" (ngSubmit)="onSubmit()" class="form form-horizontal form-bordered">
                        <div class="form-body">
                            <!-- First Name -->
                            <div class="form-group row">
                                <label class="col-md-3 label-control" for="firstName">{{ 'forms.fields.firstName' | translate }}</label>
                                <div class="col-md-6">
                                    <div class="position-relative">
                                        <input type="text" class="form-control" name="name" formControlName="firstName" />
                                    </div>
                                    <small class="form-text text-muted danger" *ngIf="colaboratorForm.get('firstName').hasError('required') && (colaboratorForm.get('firstName').dirty || colaboratorForm.get('firstName').touched)">
                                        {{ 'forms.messages.required' | translate }}
                                    </small>
                                </div>
                            </div>

                            <!-- Last Name -->
                            <div class="form-group row">
                                <label class="col-md-3 label-control" for="lastName">{{ 'forms.fields.lastName' | translate }}</label>
                                <div class="col-md-6">
                                    <div class="position-relative">
                                        <input type="text" class="form-control" name="lastName" formControlName="lastName" />
                                    </div>
                                    <small class="form-text text-muted danger" *ngIf="colaboratorForm.get('lastName').hasError('required') && (colaboratorForm.get('lastName').dirty || colaboratorForm.get('lastName').touched)">
                                        {{ 'forms.messages.required' | translate }}
                                    </small>
                                </div>
                            </div>

                            <!-- Email -->
                            <div class="form-group row">
                                <label class="col-md-3 label-control" for="email">{{ 'forms.fields.email' | translate }}</label>
                                <div class="col-md-6">
                                    <div class="position-relative">
                                        <input type="email" class="form-control" name="email" formControlName="email" />
                                    </div>
                                    <small class="form-text text-muted danger" *ngIf="colaboratorForm.get('email').hasError('required') && (colaboratorForm.get('email').dirty || colaboratorForm.get('email').touched)">
                                        {{ 'forms.messages.required' | translate }}
                                    </small>
                                    <small class="form-text text-muted danger" *ngIf="colaboratorForm.get('email').hasError('email') && (colaboratorForm.get('email').dirty || colaboratorForm.get('email').touched)">
                                        {{ 'forms.messages.invalidEmail' | translate }}
                                    </small>
                                </div>
                            </div>

                            <!-- Phone -->
                            <div class="form-group row">
                                <label class="col-md-3 label-control" for="phone">{{ 'forms.fields.phone' | translate }}</label>
                                <div class="col-md-6">
                                    <div class="position-relative">
                                        <input type="text" class="form-control" name="phone" formControlName="phone" />
                                    </div>
                                    <small class="form-text text-muted danger" *ngIf="colaboratorForm.get('phone').hasError('required') && (colaboratorForm.get('phone').dirty || colaboratorForm.get('phone').touched)">
                                        {{ 'forms.messages.required' | translate }}
                                    </small>
                                </div>
                            </div>
                            
                            <!-- Address -->
                            <div class="form-group row last">
                                <label class="col-md-3 label-control" for="address">{{ 'forms.fields.address' | translate }}</label>
                                <div class="col-md-6">
                                    <div class="position-relative">
                                        <input type="text" class="form-control" name="address" formControlName="address" />
                                    </div>
                                    <small class="form-text text-muted danger" *ngIf="colaboratorForm.get('address').hasError('required') && (colaboratorForm.get('address').dirty || colaboratorForm.get('address').touched)">
                                        {{ 'forms.messages.required' | translate }}
                                    </small>
                                </div>
                            </div>

                            <!-- Actions -->
                            <div class="form-actions right">
                                <button type="button" class="btn btn-white black mr-1" (click)="goBack()">
                                    {{ 'forms.buttons.cancel' | translate }}
                                </button>
                                <button type="submit" class="btn btn-raised btn-secondary" [disabled]="!colaboratorForm.valid">
                                    {{ 'forms.buttons.save' | translate }}
                                </button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>